CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2019 开发者帮助

AltToleranceSuppressLeadingZeros 属性 (ActiveX)

2024-5-18 17:52| 发布者: admin| 查看: 14| 评论: 0|原作者: admin|来自: AutoCAD

AltToleranceSuppressLeadingZeros 属性 (ActiveX)

指定禁止在备用维度值中显示前导零。

支持的平台:仅限 Windows

签名

VBA:

object.AltToleranceSuppressLeadingZeros
对象

类型:DimAlignedDimArcLengthDimDiametricDimOrdinateDimRadial、DimRadialLargeDimRotated

此属性应用于的对象。

属性值

只读:

类型:布尔

  • True:禁止在交替维度中显示前导零。例如,0.5000 变为 .5000。
  • False:不要在交替维度中隐藏前导零。

言论

此属性的初始值为 。False

注意:此属性将覆盖给定维度的 DIMALTTZ 系统变量的值。

例子

VBA:

Sub Example_AltToleranceSuppressLeadingZeros()
   ' This example creates an aligned dimension in model space and
   ' uses AltToleranceSuppressLeadingZeros to toggle the display of leading zeros
   ' in the alternate dimension tolerance display

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 5.01: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    
    ' Set up alternate unit tolerance display
    dimObj.AltUnits = True
    dimObj.ToleranceDisplay = acTolLimits
    
    ThisDrawing.Application.ZoomAll
    
Toggle:
    Select Case MsgBox("Press OK to toggle the display of leading zeros in the alternate dimension tolerance", vbOKCancel)
        Case vbOK
            ' Toggle the display of leading zeros for the alternate dimension tolerance value
            dimObj.AltToleranceSuppressLeadingZeros = Not (dimObj.AltToleranceSuppressLeadingZeros)
            ThisDrawing.Regen acAllViewports
        Case vbCancel
            Exit Sub
    End Select
    
    GoTo Toggle
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_AltToleranceSuppressLeadingZeros()
    ;; This example creates an aligned dimension in model space and
    ;; uses AltToleranceSuppressLeadingZeros to toggle the display of leading zeros
    ;; in the alternate dimension tolerance display
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.01 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    
    ;; Set up alternate unit tolerance display
    (vla-put-AltUnits dimObj :vlax-true)
    (vla-put-ToleranceDisplay dimObj acTolLimits)
    
    (vla-ZoomAll acadObj)

    ;; Toggle the display of leading zeros for the alternate dimension tolerance value
    (vla-put-AltToleranceSuppressLeadingZeros dimObj (if (= (vla-get-AltToleranceSuppressLeadingZeros dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "Suppression of leading zeros in the alternate dimension tolerance toggled.")

    ;; Toggle the display of leading zeros for the alternate dimension tolerance value back to previous state
    (vla-put-AltToleranceSuppressLeadingZeros dimObj (if (= (vla-get-AltToleranceSuppressLeadingZeros dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "Suppression of leading zeros in the alternate dimension tolerance toggled back.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 16:13

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部